<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>AVM2: </title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.7.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<p><a name="getdescendants"></a></p>
<h2><a class="anchor" id="getdescendants"></a>
getdescendants</h2>
<h3><a class="anchor" id="operation"></a>
Operation</h3>
<p>Get descendants.</p>
<h3><a class="anchor" id="format"></a>
Format</h3>
<div class="fragment"><pre class="fragment">getdescendants 
index
</pre></div><h3><a class="anchor" id="forms"></a>
Forms</h3>
<div class="fragment"><pre class="fragment">getdescendants = 89 (0x59)
</pre></div> <h3><a class="anchor" id="stack"></a>
Stack</h3>
<div class="fragment"><pre class="fragment">..., obj, [ns], [name] =&gt; ..., value
</pre></div><h3><a class="anchor" id="description"></a>
Description</h3>
<p>index is a u30 that must be an index into the multiname constant pool. If the multiname at that index is a runtime multiname the name and/or namespace will also appear on the stack so that the multiname can be constructed correctly at runtime.</p>
<p>obj is the object to find the descendants in. This will invoke the [[Descendants]] property on obj with the multiname specified by index. For a description of the [[Descendants]] operator, see the E4X spec (ECMA-357) sections 9.1.1.8 (for the XML type) and 9.2.1.8 (for the XMLList type).</p>
<h3><a class="anchor" id="rt_execeptions"></a>
Runtime exceptions</h3>
<p>A TypeError is thrown if obj is not of type XML or XMLList.</p>
<h3><a class="anchor" id="notes"></a>
Notes</h3>
<p>None. </p>
</div>
<hr class="footer"/><address class="footer"><small>Generated on Thu Jan 6 2011 10:19:15 for AVM2 by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.7.1 </small></address>
</body>
</html>
